<%-- 
    Document   : GetCategoryFilm
    Created on : Jan 24, 2010, 10:04:42 PM
    Author     : Administrator
--%>

<%@page contentType="application/x-nuance-gsl; charset=UTF-8"%>
<%@ page import="grammar.*" %>
<%@ page import="java.util.*" %>

CATEGORIES
[

<%

Vector result = new Vector();
result =  Recognition.getResultFor("GetCategory");

for (int i=0; i< result.size(); i++){
    Grammar grm = (Grammar) result.elementAt(i);
    out.println(grm.getDescription() + " {<choice \"" + grm.getSlot() +"\">}");
}
%>

]